
CoCoALib - Feature #1667

GBasis over ZZ: port to CoCoALib

16 Feb 2022 20:00 - John Abbott

Status: In Progress Start date: 16 Feb 2022

Priority: Urgent Due date:  

Assignee:  % Done: 10%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 4.10 hours

Description

Port the GBasis over ZZ code (prototype in a CoCoA-5 package) into C++.

Also make several algorithmic improvements.

Maybe Florian can indicate some useful texts (at least one by Christian Eder).

Related issues:

Related to CoCoA-5 - Feature #1272: Groebner Bases over ZZ Closed 18 Apr 2019

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

Related to CoCoALib - Feature #1001: CoCoALib: ideas for student projects In Progress 19 Jan 2017

History

#1 - 16 Feb 2022 20:00 - John Abbott

- Related to Feature #1272: Groebner Bases over ZZ added

#2 - 16 Feb 2022 20:32 - John Abbott

- Related to Support #242: CoCoA-5 Projects for students (e.g. crediti F and tesi) added

#3 - 20 Apr 2022 17:11 - John Abbott

- Related to Feature #1001: CoCoALib: ideas for student projects added

#4 - 26 Sep 2022 12:05 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

A student (Khalil Loukhnati) worked on this last semester.  He has produced working code.

It still needs considerable polishing.

Performance is disappointing (but the profiler reported that 50% CPU time was spent doing downcasting!!)

#5 - 07 Oct 2022 11:34 - Anna Maria Bigatti

This student translated the code in CoCoA prototype-GBZZ.cpkg5 into cocoalib.

And also added some changed found in a paper by Christian Eder (arxiv:1811.05736 warning contains several typos)

Elisa and Michele: want to run some tests and contribute to make it usable?

John Abbott wrote:

A student (Khalil Loukhnati) worked on this last semester.  He has produced working code.

It still needs considerable polishing.

Performance is disappointing (but the profiler reported that 50% CPU time was spent doing downcasting!!)
#6 - 16 Feb 2024 09:39 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#7 - 26 Mar 2024 17:19 - John Abbott

- Priority changed from Normal to Urgent

Michele Toriell is asking for this.  There was C++ from when i was in Passau: dig it out, and blow the dust off.
